use AMF::Tests;

use AMF::Parser::Basic;
use AMF::Spec::Parsed;

my $p;

$p = AMF::Parser::Basic -> new( SPEC => $AMF::Spec );

test $p;

my $res = $p -> start_file ( 't/1993-12.xml' );
test $res;


my $list = $p -> {LIST};

test not scalar @$list;

test $p -> get_more_data;

test scalar @$list;
test $list -> [0];

use Data::Dumper;
print Dumper( $p -> {LIST} );
